#pragma once

#include <raylib.h>

namespace Morault {
	namespace Rendering {
		void DrawWall(Vector2 a, Vector2 b, int heightFloor, int heightCeiling, Texture2D texture, float renderScale);
		void DrawFloor(Vector2 a, Vector2 b, Vector2 c, int heightFloor, Texture2D texture, float renderScale);
		void DrawCeiling(Vector2 a, Vector2 b, Vector2 c, int heightCeiling, Texture2D texture, float renderScale);
	}
}